
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(3.141592653589793d, 100);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = fractionConversionException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.String str1 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "function is not differentiable"+ "'", str1.equals("function is not differentiable"));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(1074790400);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.6074753677218336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.821091683868162d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(503L, 1L);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(503L, 482L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21L);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.25f);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.divide(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.add(0);
    java.lang.String str11 = fraction3.toString();
    long long12 = fraction3.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1 / 2"+ "'", str11.equals("1 / 2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.5880026035475675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.abs();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction1);
    java.lang.Number number7 = notPositiveException6.getArgument();
    java.lang.String str8 = notPositiveException6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math3.exception.NotPositiveException: 0.667 is smaller than the minimum (0)"+ "'", str8.equals("org.apache.commons.math3.exception.NotPositiveException: 0.667 is smaller than the minimum (0)"));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(1.0d, 1074790400);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-2079374784L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.negate();
    long long3 = bigFraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1L);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INPUT_DATA_FROM_UNSUPPORTED_DATASOURCE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException((-0.24094193096660882d), 503L, 0L);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(15.716969792734645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00900676832247152d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-1), (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(10L, (-1074790390));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(22638.651945336078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22639.0d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INFINITE_VALUE_CONVERSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_BOUNDS_QUANTILE_VALUE;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.6666666666666666d, (java.lang.Number)4.605170185988092d, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    double d3 = fraction1.doubleValue();
    java.lang.Object[] obj_array4 = new java.lang.Object[] { fraction1 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array4);
    java.lang.String str6 = mathArithmeticException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.6666666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: number of robustness iterations (0.667)"+ "'", str6.equals("org.apache.commons.math3.exception.MathArithmeticException: number of robustness iterations (0.667)"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.BINOMIAL_NEGATIVE_PARAMETER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(482L, 482L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 232324L);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNABLE_TO_FIRST_GUESS_HARMONIC_COEFFICIENTS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(4.605170185988092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3569687047394818d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(bigInteger1);
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.abs();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction2.add(21L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.getReducedFraction((-6), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ZeroException");
    } catch (org.apache.commons.math3.exception.ZeroException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.ZeroException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ZeroException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.000001f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(Double.POSITIVE_INFINITY, 66.66666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 66.66666666666666d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INTERNAL_ERROR;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction3.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction1.divide(bigFraction4);
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction5.reciprocal();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction5.negate();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f10 = fraction9.floatValue();
    double d11 = fraction9.doubleValue();
    java.lang.Object[] obj_array12 = new java.lang.Object[] { fraction9 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array12);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction5, obj_array12);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_LEFT;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { localizedFormats22 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array23);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats20, obj_array23);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats18, (org.apache.commons.math3.exception.util.Localizable)localizedFormats19, obj_array23);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats17, obj_array23);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notFiniteNumberException14, (org.apache.commons.math3.exception.util.Localizable)localizedFormats15, obj_array23);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext29 = mathIllegalStateException28.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.6666666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext29);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.641588833612779d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_SIMPLE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction3.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction1.divide(bigFraction4);
    java.math.BigInteger bigInteger6 = bigFraction4.getDenominator();
    java.math.BigInteger bigInteger8 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger6, 0L);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { localizedFormats10 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)bigInteger6, obj_array11);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException14 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_SUBSTITUTE_ELEMENT_FROM_EMPTY_ARRAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(15.705225663560029d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.70522566356003d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(503L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.4260624389053682d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14422910509253545d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-100.0f), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-102400.0f));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(24L, 232324L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-232300L));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(7.610125138662287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1009.2655867757014d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_COMPUTE_BETA_DENSITY_AT_0_FOR_SOME_ALPHA;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(6.283185307179587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f3 = fraction2.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f7 = fraction6.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.divide(fraction6);
    int i9 = fraction6.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction6.abs();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction4.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction11.abs();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction11.multiply(0);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction0.add(fraction11);
    org.apache.commons.math3.fraction.FractionField fractionField16 = fraction15.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField16);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(32.70422048691768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5146038020763082d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(22638.651945336078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(1074790400, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1074790400);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-200.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.6129868840628745E86d));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NO_BIN_SELECTED;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    long long1 = fraction0.longValue();
    double d2 = fraction0.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 33.33333333333333d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.5146038020763082d, 101.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5146038020763082d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1074790390), (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1074790390));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(60466176, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 60466176);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f1 = fraction0.floatValue();
    int i2 = fraction0.getDenominator();
    long long3 = fraction0.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    java.math.BigInteger bigInteger11 = bigFraction9.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction0.add(bigInteger11);
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction13.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction13.divide(bigFraction16);
    java.math.BigInteger bigInteger18 = bigFraction16.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction16.pow(0);
    long long21 = bigFraction16.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction0.divide(bigFraction16);
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction16.multiply(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.6390180141914302d), 1.412965136506738d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.412965136506738d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.6666667f, 2.9802322E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    int i8 = fraction5.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.abs();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction10.abs();
    float f12 = fraction10.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.75f);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(4.605170185988092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    java.math.BigInteger bigInteger6 = bigFraction3.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = new org.apache.commons.math3.fraction.BigFraction(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.24094193096660882d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(2, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(2120811457, (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.6390180141914302d), 4.605170185988092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.6390180141914301d));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.15580649996954174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction0.divide(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(15.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3269016.3724721107d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5533448061434307d));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(10L);
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction1.multiply((-1074790400));
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction4.divide(bigFraction7);
    short s9 = bigFraction8.shortValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction8.multiply(503L);
    java.math.BigInteger bigInteger12 = bigFraction11.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction1.divide(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s9 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_TRANSFORM_TO_DOUBLE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction1);
    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException5 = new org.apache.commons.math3.fraction.FractionConversionException(1.5707963267948966d, 100);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException();
    fractionConversionException5.addSuppressed((java.lang.Throwable)convergenceException6);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { fractionConversionException5 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array8);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathIllegalArgumentException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { localizedFormats3 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathIllegalArgumentException7.getContext();
    java.lang.String str9 = mathIllegalArgumentException7.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathIllegalArgumentException7.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math3.exception.MathIllegalArgumentException: propagation direction mismatch"+ "'", str9.equals("org.apache.commons.math3.exception.MathIllegalArgumentException: propagation direction mismatch"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)1, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CONTINUED_FRACTION_NAN_DIVERGENCE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(232324L, 493L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 232324L);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.pow(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction9.divide((-1L));
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction11.subtract(10L);
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f16 = fraction15.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.divide(fraction15);
    long long18 = fraction14.longValue();
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction14.subtract(2);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException22 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)bigFraction13, (java.lang.Number)fraction20, true);
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction13.divide(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction0.multiply(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f16 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction8.pow(100);
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction18.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = bigFraction20.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction18.divide(bigFraction21);
    java.math.BigInteger bigInteger23 = bigFraction21.getDenominator();
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction17.subtract(bigInteger23);
    java.math.BigDecimal bigDecimal27 = bigFraction26.bigDecimalValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal27);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.000001f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.000001f));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.getReducedFraction(2, 100);
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction2.divide(260438561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(4, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.stirlingS2(4, 1006);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-1.5533448061434307d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9998477260781905d));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.5000000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5000000000000001d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(100);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(33.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1890.7607239317165d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.8184464592320668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f1 = fraction0.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.6f);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-1.0f), 260438561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.divide(fraction7);
    long long9 = fraction8.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 1L);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(2120811457, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-914815359));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    float f5 = fraction1.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.6666667f);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1), (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1074790400);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_NUMBER_OF_SUCCESSES;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(5, 1006);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(2L, 21L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 42L);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.14422910509253545d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.14422910509253545d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-3.6129868840628745E86d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(2L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    int i8 = fraction5.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.abs();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction10.abs();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.multiply(0);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction10.negate();
    java.lang.String str15 = fraction14.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "-3 / 4"+ "'", str15.equals("-3 / 4"));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POWER_OF_TWO_PLUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6351489523872873d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(15.0d, (-0.2306207509581495d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.009651187720283172d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(3);
    int i3 = fraction0.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction0.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(10L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INFINITE_BOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(100L, 90L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 900L);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, (-2079374784L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_STRING_FOR_IMAGINARY_CHARACTER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-1L), 503L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 503L);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.FOUR_FIFTHS;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    int i7 = bigFraction2.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    java.math.BigInteger bigInteger13 = bigFraction11.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction2.add(bigInteger13);
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction17.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction15.divide(bigFraction18);
    java.math.BigInteger bigInteger20 = bigFraction18.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction18.pow(0);
    long long23 = bigFraction18.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction2.divide(bigFraction18);
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction0.subtract(bigFraction2);
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction2.subtract(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    double[] d_array3 = new double[] { 1.0d, 0.0d, 0.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    int i5 = org.apache.commons.math3.util.MathUtils.hash(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 66090079);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(100.00000000000001d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.01233624458672d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-2079374784));
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(22638.651945336078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ENOUGH_DATA_FOR_NUMBER_OF_PREDICTORS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0605839702390518d, 8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0605839702390516d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(byte)10, (java.lang.Number)1, false);
    java.lang.String str4 = numberIsTooSmallException3.toString();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (1)"+ "'", str4.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (1)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.5707963267948966d, 15.70522566356003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 15.70522566356003d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-10L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10L));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.THREE_QUARTERS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(2079374784, 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(5, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ZeroException");
    } catch (org.apache.commons.math3.exception.ZeroException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.ZeroException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ZeroException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(6, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(5.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.000000000000001d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-102400.0f), 0.75f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.0f);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.6666666666666666d, 0.31622776601683794d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.31622776601683794d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(66.66666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    int i8 = fraction5.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.abs();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction10.abs();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.multiply(0);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction10.negate();
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f17 = fraction16.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction15.divide(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f21 = fraction20.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction19.divide(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction18.divide(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction14.subtract(fraction18);
    int i25 = fraction18.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f17 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f21 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.abs();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.DENOMINATOR_FORMAT;
    boolean b7 = fraction1.equals((java.lang.Object)localizedFormats6);
    int i8 = fraction1.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 3);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.03133397314397024d, (-1.1909233824917465d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03133397314397024d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.1622776601683795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.9802322E-8f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.9802322E-8f);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction3.pow(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction7.divide((-1L));
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction9.subtract(10L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal14 = bigFraction9.bigDecimalValue(0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_THIRD;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(66090079, 260438561);
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction2.pow(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(6, 2079374784);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2079374790);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(2120811457, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2120811457);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ELITISM_RATE;
    java.lang.String str1 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "elitism rate ({0})"+ "'", str1.equals("elitism rate ({0})"));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog((-1074790390));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(260438561, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-126088543));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(100.00000000000001d, 2);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    org.apache.commons.math3.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math3.exception.NullArgumentException();
    java.lang.Throwable[] throwable_array1 = nullArgumentException0.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array1);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal13 = bigFraction0.bigDecimalValue((-1335228961));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.6351489523872873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    int i8 = fraction5.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.abs();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.divide(fraction9);
    double d11 = fraction10.percentageValue();
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f14 = fraction13.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.divide(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f18 = fraction17.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction16.divide(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction15.divide(fraction19);
    boolean b21 = fraction10.equals((java.lang.Object)fraction19);
    org.apache.commons.math3.fraction.Fraction fraction22 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i23 = fraction10.compareTo(fraction22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 75.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f18 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    double d16 = bigFraction0.doubleValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction0.pow(2);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException19 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(1074790400, 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)100, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-102400.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(3.1622776601683795d, (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    double d1 = fraction0.percentageValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.add(1);
    int i4 = fraction3.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33.33333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(102400.0f, 2.9802322E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.0f);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(1.1555698629817919d, 1006);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-10L), 7766279631452241920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-2079374784));
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.divide(1);
    long long4 = fraction1.longValue();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction1.divide(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == (-2079374784L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_STRICTLY_INCREASING_SEQUENCE;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(6);
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction3.subtract(10L);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(6.283185307179587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 267.7467614837484d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(7766279631452241920L, 7766279631452241920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.31622776601683794d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6812920690579612d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)10, (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)10);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-200.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    int i8 = fraction5.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.abs();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction10.abs();
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.multiply(0);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction10.negate();
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f17 = fraction16.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction15.divide(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f21 = fraction20.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction19.divide(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction18.divide(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction14.subtract(fraction18);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_OPERATOR;
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction27 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f28 = fraction27.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction26.divide(fraction27);
    int i30 = fraction27.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction27.abs();
    org.apache.commons.math3.fraction.Fraction fraction32 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction31.add(fraction32);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction33.negate();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_LEFT;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { localizedFormats41 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException43 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats40, obj_array42);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException44 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats39, obj_array42);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats37, (org.apache.commons.math3.exception.util.Localizable)localizedFormats38, obj_array42);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats36, obj_array42);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException47 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)fraction33, obj_array42);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException48 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, obj_array42);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException49 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)fraction18, obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f17 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f21 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f28 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(66.66666666666667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.4867871205896105E28d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INTERNAL_ERROR;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(260438561, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    double d13 = bigFraction8.doubleValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction7.multiply(bigFraction8);
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction14.add(60466176);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(2079374784, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(7.610125138662287d, (-232300L), 232324L);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(900L, (-914815359));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction8.pow(100);
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction18.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = bigFraction20.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction18.divide(bigFraction21);
    java.math.BigInteger bigInteger23 = bigFraction21.getDenominator();
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction17.subtract(bigInteger23);
    double d27 = bigFraction17.percentageValue();
    float f28 = bigFraction17.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f28 == 1.0f);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction3.pow(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction7.divide((-1L));
    long long10 = bigFraction9.getNumeratorAsLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-1L));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    float f12 = bigFraction0.floatValue();
    boolean b14 = bigFraction0.equals((java.lang.Object)(-0.496025759922821d));
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.FOUR_FIFTHS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)bigFraction0, (java.lang.Number)bigFraction15, true);
    long long18 = bigFraction15.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f3 = fraction2.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(fraction2);
    int i5 = fraction2.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction2.abs();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction2);
    boolean b8 = notPositiveException7.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array9 = notPositiveException7.getSuppressed();
    org.apache.commons.math3.exception.ConvergenceException convergenceException10 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(0.6666666666666666d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(8.881784197001252E-16d, (-914815359));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    java.lang.String str4 = fraction1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "2 / 3"+ "'", str4.equals("2 / 3"));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(502.5672212339209d);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.divide(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction7.subtract(10);
    org.apache.commons.math3.fraction.FractionField fractionField11 = fraction7.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField11);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction8.pow(100);
    org.apache.commons.math3.fraction.BigFractionField bigFractionField18 = bigFraction17.getField();
    long long19 = bigFraction17.getNumeratorAsLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 1L);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.8184464592320668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8184464592320668d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-2079374784), (-2079374784));
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.divide(2120811457);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    float f16 = bigFraction0.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f16 == (-1.0f));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.000002f, 9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction0.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction6.subtract((-1));
    java.math.BigInteger bigInteger9 = bigFraction6.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction12.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction10.divide(bigFraction13);
    int i15 = bigFraction10.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction10.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction18.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = bigFraction20.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction18.divide(bigFraction21);
    int i23 = bigFraction18.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction18.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction10.divide(bigFraction18);
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction18.pow(100);
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction28.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction31 = bigFraction30.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction32 = bigFraction28.divide(bigFraction31);
    java.math.BigInteger bigInteger33 = bigFraction31.getDenominator();
    java.math.BigInteger bigInteger35 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger33, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction36 = bigFraction27.subtract(bigInteger33);
    org.apache.commons.math3.fraction.BigFraction bigFraction37 = bigFraction6.multiply(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(4.4867871205896105E28d, 1006);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.15644387191121703d, 0.5499199577326581d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15644387191121703d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-914815359), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction3.subtract(0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction3.divide(1L);
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction12.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction10.divide(bigFraction13);
    java.math.BigInteger bigInteger15 = bigFraction13.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction13.pow(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction17.divide((-1L));
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = bigFraction17.pow(1L);
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = bigFraction21.divide(503L);
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction23.pow(10L);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction3.multiply(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(4.199705077879927d, 66090079);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(0.5707963267948966d, 4);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_COMPUTE_0TH_ROOT_OF_UNITY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { localizedFormats5 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)fractionConversionException2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-126088543));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 5.000000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction3.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction1.divide(bigFraction4);
    java.math.BigInteger bigInteger6 = bigFraction4.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction4.pow(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction8.divide((-1L));
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction10.subtract(10L);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f15 = fraction14.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.divide(fraction14);
    long long17 = fraction13.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction13.subtract(2);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction12, (java.lang.Number)fraction19, true);
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = bigFraction12.divide(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = new org.apache.commons.math3.fraction.BigFraction(7766279631452241920L, (-1L));
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction12.multiply(bigFraction26);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal30 = bigFraction12.bigDecimalValue(5, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reciprocal();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction4.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.negate();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.014998875151850598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015000000000000003d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1335228961), (-1074790390));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(2L, (-232300L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-464600L));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.negate();
    int i3 = bigFraction1.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.6666666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8410686705679303d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.getReducedFraction(100, 66090079);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.abs();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.FractionField fractionField8 = fraction6.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField8);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(24L, 493L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 517L);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(11013.234712420559d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.5880026035475675d, 0.785887260776948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5880026035475675d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.abs();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction1);
    java.lang.Number number7 = notPositiveException6.getArgument();
    java.lang.Number number8 = notPositiveException6.getArgument();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMERATOR_OVERFLOW_AFTER_MULTIPLY;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array10);
    notPositiveException6.addSuppressed((java.lang.Throwable)nullArgumentException11);
    java.lang.Number number13 = notPositiveException6.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 0+ "'", number13.equals(0));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(0L, 900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.000001f, 15.70522566356003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000002f);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(0, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-6), 1);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 102400.0f);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(3, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.DIMENSION;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0.20422048691766992d, 260438561);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.3569687047394818d, 3.1081184946702187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3569687047394818d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)0, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(503L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction3 = new org.apache.commons.math3.fraction.BigFraction(Double.POSITIVE_INFINITY, (-0.8556622904306267d), (-6));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    float f12 = bigFraction0.floatValue();
    boolean b14 = bigFraction0.equals((java.lang.Object)(-0.496025759922821d));
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction17.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction15.divide(bigFraction18);
    int i20 = bigFraction15.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction21.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction23.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction21.divide(bigFraction24);
    java.math.BigInteger bigInteger26 = bigFraction24.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction15.add(bigInteger26);
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction28.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction31 = bigFraction30.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction32 = bigFraction28.divide(bigFraction31);
    java.math.BigInteger bigInteger33 = bigFraction31.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction35 = bigFraction31.pow(0);
    long long36 = bigFraction31.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction37 = bigFraction15.divide(bigFraction31);
    java.math.BigInteger bigInteger38 = bigFraction15.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction39 = bigFraction0.multiply(bigInteger38);
    org.apache.commons.math3.fraction.BigFraction bigFraction40 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction41 = bigFraction40.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction42 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction43 = bigFraction42.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction44 = bigFraction40.divide(bigFraction43);
    java.math.BigInteger bigInteger45 = bigFraction43.getDenominator();
    java.math.BigInteger bigInteger46 = bigFraction43.getDenominator();
    java.math.BigInteger bigInteger48 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger46, 7766279631452241920L);
    org.apache.commons.math3.fraction.BigFraction bigFraction49 = bigFraction39.multiply(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    double d7 = bigFraction3.pow(0.0d);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction3.add((-2079374784L));
    double d11 = bigFraction9.pow(0.7858872607769479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(503L, 503L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 503L);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(6);
    int i2 = bigFraction1.getDenominatorAsInt();
    int i3 = bigFraction1.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 6);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.INTERNAL_ERROR;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reciprocal();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction6.negate();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f11 = fraction10.floatValue();
    double d12 = fraction10.doubleValue();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { fraction10 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)bigFraction6, obj_array13);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array13);
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction17.reduce();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException19 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction17);
    java.lang.Number number20 = notPositiveException19.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.6666666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 0+ "'", number20.equals(0));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(60466176, (-2079374784));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.4260624389053682d, (-0.6960595188671791d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.033943401171010024d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    int i8 = fraction5.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.abs();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction10.abs();
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.negate();
    int i13 = fraction10.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    double d5 = bigFraction0.percentageValue();
    java.math.BigDecimal bigDecimal6 = bigFraction0.bigDecimalValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal6);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 66.66666666666667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    java.lang.Number number0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math3.exception.NotFiniteNumberException(number0, obj_array1);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction0.reciprocal();
    java.lang.String str6 = bigFraction0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "-1"+ "'", str6.equals("-1"));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.340690859789228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.586383424082948d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction0.divide(1006);
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction12.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction10.divide(bigFraction13);
    java.math.BigInteger bigInteger15 = bigFraction13.getDenominator();
    java.math.BigInteger bigInteger16 = bigFraction13.getDenominator();
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger16, 7766279631452241920L);
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction19.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction21.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = bigFraction19.divide(bigFraction22);
    java.math.BigInteger bigInteger24 = bigFraction22.getDenominator();
    java.math.BigInteger bigInteger26 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger24, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = new org.apache.commons.math3.fraction.BigFraction(bigInteger24);
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, bigInteger24);
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction9.add(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    boolean b17 = bigFraction0.equals((java.lang.Object)localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.getReducedFraction(66090079, 2079374790);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.5707963267948966d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(50.296784689724674d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 50.0d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.6666667f, 66090079);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction3.add(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-3), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(6);
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction1.multiply(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(100.01233624458672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3607418994121922E43d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-0.99999994f), (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.75f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add((-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.1555698629817919d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7453553699347588d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(15.70522566356003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5072090928907207d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    java.math.BigInteger bigInteger13 = bigFraction11.getDenominator();
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction16.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction18.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction16.divide(bigFraction19);
    java.math.BigInteger bigInteger21 = bigFraction19.getDenominator();
    java.math.BigInteger bigInteger22 = bigFraction19.getDenominator();
    java.math.BigInteger bigInteger23 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, bigInteger22);
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction0.divide(bigInteger15);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction0.divide((-3));
    double d27 = bigFraction26.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.3333333333333333d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(0.6666666666666666d, (-3));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-3), (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1074790403));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.MINUS_ONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    double d5 = bigFraction0.doubleValue();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_PERMUTATION;
    boolean b7 = bigFraction0.equals((java.lang.Object)localizedFormats6);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction0.divide(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    double d5 = bigFraction0.doubleValue();
    int i6 = bigFraction0.getNumeratorAsInt();
    java.math.BigInteger bigInteger7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction0.subtract(bigInteger7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(5.256356115436029d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3434115023553583d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    org.apache.commons.math3.exception.ConvergenceException convergenceException0 = new org.apache.commons.math3.exception.ConvergenceException();
    java.lang.String str1 = convergenceException0.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = convergenceException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math3.exception.ConvergenceException: illegal state: convergence failed"+ "'", str1.equals("org.apache.commons.math3.exception.ConvergenceException: illegal state: convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f7 = fraction6.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.divide(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f11 = fraction10.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction9.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction8.divide(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.add(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f18 = fraction17.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction16.divide(fraction17);
    int i20 = fraction17.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction17.abs();
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.add(fraction22);
    boolean b24 = fraction12.equals((java.lang.Object)fraction22);
    boolean b25 = fraction1.equals((java.lang.Object)fraction22);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction26.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction28.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = bigFraction26.divide(bigFraction29);
    int i31 = bigFraction26.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction32 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction33 = bigFraction32.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction34 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction35 = bigFraction34.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction36 = bigFraction32.divide(bigFraction35);
    java.math.BigInteger bigInteger37 = bigFraction35.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction38 = bigFraction26.add(bigInteger37);
    org.apache.commons.math3.fraction.BigFraction bigFraction39 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction40 = bigFraction39.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction41 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction42 = bigFraction41.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction43 = bigFraction39.divide(bigFraction42);
    java.math.BigInteger bigInteger44 = bigFraction42.getDenominator();
    java.math.BigInteger bigInteger46 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger44, 0L);
    java.math.BigInteger bigInteger47 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger37, bigInteger46);
    boolean b48 = fraction22.equals((java.lang.Object)bigInteger47);
    java.math.BigInteger bigInteger49 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction50 = new org.apache.commons.math3.fraction.BigFraction(bigInteger47, bigInteger49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f18 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(0.0d);
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction2.subtract((-2079374784));
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction1.add(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 101.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.FOUR_FIFTHS;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    int i7 = bigFraction2.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    java.math.BigInteger bigInteger13 = bigFraction11.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction2.add(bigInteger13);
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction17.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction15.divide(bigFraction18);
    java.math.BigInteger bigInteger20 = bigFraction18.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction18.pow(0);
    long long23 = bigFraction18.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction2.divide(bigFraction18);
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction0.subtract(bigFraction2);
    java.math.BigInteger bigInteger26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction2.add(bigInteger26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-2079374784), 2079374784);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(21L, 0L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ZeroException");
    } catch (org.apache.commons.math3.exception.ZeroException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.ZeroException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ZeroException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0.0d, (-1335228961));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    float f12 = bigFraction0.floatValue();
    boolean b14 = bigFraction0.equals((java.lang.Object)(-0.496025759922821d));
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.FOUR_FIFTHS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)bigFraction0, (java.lang.Number)bigFraction15, true);
    boolean b18 = numberIsTooSmallException17.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = numberIsTooSmallException17.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(60466176);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(260438561, 2120811457);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(2.340690859789228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4944795687364936d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add((-2079374784));
    int i4 = fraction3.intValue();
    int i5 = fraction3.getDenominator();
    int i6 = fraction3.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-2079374784));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-2079374784));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-232300L), (-232300L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 232300L);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(4.258715077980509E-41d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.258715077980509E-41d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.75f, 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.75f);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(100L, 900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(0.75d, 5);
    int i3 = bigFraction2.getNumeratorAsInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    float f12 = bigFraction0.floatValue();
    boolean b14 = bigFraction0.equals((java.lang.Object)(-0.496025759922821d));
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.FOUR_FIFTHS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)bigFraction0, (java.lang.Number)bigFraction15, true);
    java.lang.String str18 = numberIsTooSmallException17.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 0.25 is smaller than the minimum (0.8)"+ "'", str18.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 0.25 is smaller than the minimum (0.8)"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    float f12 = bigFraction0.floatValue();
    boolean b14 = bigFraction0.equals((java.lang.Object)(-0.496025759922821d));
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction17.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction15.divide(bigFraction18);
    int i20 = bigFraction15.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction21.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction23.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction21.divide(bigFraction24);
    java.math.BigInteger bigInteger26 = bigFraction24.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction15.add(bigInteger26);
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction28.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction31 = bigFraction30.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction32 = bigFraction28.divide(bigFraction31);
    java.math.BigInteger bigInteger33 = bigFraction31.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction35 = bigFraction31.pow(0);
    long long36 = bigFraction31.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction37 = bigFraction15.divide(bigFraction31);
    java.math.BigInteger bigInteger38 = bigFraction15.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction39 = bigFraction0.multiply(bigInteger38);
    java.math.BigInteger bigInteger40 = bigFraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction3.subtract(0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction3.divide(1L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal11 = bigFraction9.bigDecimalValue((-1335228961));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2246467991473532E-16d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.stirlingS2(1, 2079374784);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(3.1622776601683795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 181.18516357615334d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction4.add(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1), 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    java.math.BigInteger bigInteger11 = bigFraction9.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction0.add(bigInteger11);
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction13.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction13.divide(bigFraction16);
    java.math.BigInteger bigInteger18 = bigFraction16.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction16.pow(0);
    long long21 = bigFraction16.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction0.divide(bigFraction16);
    float f23 = bigFraction16.floatValue();
    java.math.BigDecimal bigDecimal25 = bigFraction16.bigDecimalValue(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f23 == (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal25);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.15644387191121703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5388313454351327d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1), 2079374784);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2079374784));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_REAL_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_ELEMENT;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f5 = fraction4.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction3.divide(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f9 = fraction8.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction7.divide(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction6.divide(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction10.add(fraction12);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { localizedFormats16 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, obj_array17);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array17);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)fraction10, obj_array17);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array17);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array17);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext23 = mathIllegalArgumentException22.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(100L);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-914815359));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    java.math.BigInteger bigInteger11 = bigFraction9.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction0.add(bigInteger11);
    double d13 = bigFraction12.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.divide(3);
    double d3 = fraction0.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.0d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-1074790403), (-914815359));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(5, 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1074790405);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(100.01233624458672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.01233624458672d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    java.math.BigInteger bigInteger11 = bigFraction9.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction0.add(bigInteger11);
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction13.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction13.divide(bigFraction16);
    java.math.BigInteger bigInteger18 = bigFraction16.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction16.pow(0);
    long long21 = bigFraction16.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction0.divide(bigFraction16);
    float f23 = bigFraction16.floatValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction16.subtract((-1074790390));
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction25.divide((-2079374784L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f23 == (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(6.0d, 0L, (-1L));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.getReducedFraction(260438561, 1006);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.NEGATIVE_INFINITY, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction3.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction1.divide(bigFraction4);
    java.math.BigInteger bigInteger6 = bigFraction4.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction4.pow(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction8.divide((-1L));
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction10.subtract(10L);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f15 = fraction14.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.divide(fraction14);
    long long17 = fraction13.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction13.subtract(2);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction12, (java.lang.Number)fraction19, true);
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = bigFraction12.divide(1);
    int i24 = bigFraction12.getNumeratorAsInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-11));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(482L, 493L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 975L);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction8.pow(100);
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction18.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = bigFraction20.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction18.divide(bigFraction21);
    java.math.BigInteger bigInteger23 = bigFraction21.getDenominator();
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction17.subtract(bigInteger23);
    double d27 = bigFraction17.percentageValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = bigFraction28.divide(2120811457);
    org.apache.commons.math3.fraction.BigFraction bigFraction31 = bigFraction17.subtract(bigFraction30);
    java.math.BigInteger bigInteger32 = bigFraction31.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1074790390), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1074790390);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(1074790405);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(3.1622776601683795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    java.math.BigInteger bigInteger13 = bigFraction11.getDenominator();
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction16.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction18.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction16.divide(bigFraction19);
    java.math.BigInteger bigInteger21 = bigFraction19.getDenominator();
    java.math.BigInteger bigInteger22 = bigFraction19.getDenominator();
    java.math.BigInteger bigInteger23 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, bigInteger22);
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction0.divide(bigInteger15);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction0.divide((-3));
    int i27 = bigFraction26.getNumeratorAsInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(15.716969792734645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.5440211108893698d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-126088543));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(60466176, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkFinite(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-3));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(66090079);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.0d, 1.8184464592320668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.5270119387812073d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction0.pow((-1));
    org.apache.commons.math3.fraction.BigFractionField bigFractionField4 = bigFraction3.getField();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction3.divide(7766279631452241920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, (-10.000001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_INCREASING_NUMBER_OF_POINTS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1890.7607239317165d, 482L, 42L);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(Float.POSITIVE_INFINITY, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_INCREMENT_STATISTIC_CONSTRUCTED_FROM_EXTERNAL_MOMENTS;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(6);
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction3.subtract(10L);
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    java.math.BigInteger bigInteger11 = bigFraction9.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction9.pow(0);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction5, (java.lang.Number)bigFraction9, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.subtract(0L);
    java.math.BigInteger bigInteger10 = bigFraction5.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction0.multiply(bigInteger10);
    float f12 = bigFraction0.floatValue();
    boolean b14 = bigFraction0.equals((java.lang.Object)(-0.496025759922821d));
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction17.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction15.divide(bigFraction18);
    int i20 = bigFraction15.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction21.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction23.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction21.divide(bigFraction24);
    java.math.BigInteger bigInteger26 = bigFraction24.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction15.add(bigInteger26);
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction28.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction31 = bigFraction30.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction32 = bigFraction28.divide(bigFraction31);
    java.math.BigInteger bigInteger33 = bigFraction31.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction35 = bigFraction31.pow(0);
    long long36 = bigFraction31.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction37 = bigFraction15.divide(bigFraction31);
    java.math.BigInteger bigInteger38 = bigFraction15.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction39 = bigFraction0.multiply(bigInteger38);
    org.apache.commons.math3.fraction.BigFraction bigFraction40 = new org.apache.commons.math3.fraction.BigFraction(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(8.881784197001252E-16d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE;
    long long1 = bigFraction0.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    int i7 = bigFraction2.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction2.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction12.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction10.divide(bigFraction13);
    int i15 = bigFraction10.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction10.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction2.divide(bigFraction10);
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction18.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = bigFraction20.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction18.divide(bigFraction21);
    int i23 = bigFraction18.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction18.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction27 = bigFraction26.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction28.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = bigFraction26.divide(bigFraction29);
    double d31 = bigFraction26.doubleValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction32 = bigFraction25.multiply(bigFraction26);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)bigFraction25);
    double d34 = bigFraction25.percentageValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction35 = bigFraction17.subtract(bigFraction25);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)bigFraction0, (java.lang.Number)bigFraction35, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == (-200.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.lang.String str5 = bigFraction4.toString();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    int i11 = bigFraction6.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction6.negate();
    long long13 = bigFraction6.longValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction6.add(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction4.divide(bigFraction6);
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction16.divide((-2079374784));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1"+ "'", str5.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_TRANSFORM_TO_DOUBLE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction1);
    java.lang.String str3 = notPositiveException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math3.exception.NotPositiveException: Conversion Exception in Transformation: 0.5"+ "'", str3.equals("org.apache.commons.math3.exception.NotPositiveException: Conversion Exception in Transformation: 0.5"));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(byte)10, (java.lang.Number)1, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f7 = fraction6.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.divide(fraction6);
    int i9 = fraction6.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction6.abs();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction6);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)notPositiveException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1+ "'", number4.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5430806348152437d, 0.5880026035475675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2209271758274588d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.033943401171010024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03394991955347943d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(1006, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1006);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.6390180141914302d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0.17453292519943295d, (-914815359));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(7.610125138662287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.785887260776948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9228265545921792d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(101.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.340690859789228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.696059518867179d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(232300L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 232300L);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.3607418994121922E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.688823524393912E21d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001254E-16d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_ROUNDING_METHOD;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)33.33333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(75.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.2171633265087465d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.696059518867179d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(4.641588833612779d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.1454948436140409d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.6390180141914302d), (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction0.negate();
    long long7 = bigFraction0.longValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction0.add(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction9.add(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(15.0d, (-3.6129868840628745E86d), 60466176);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(22639.0d, 493L, (-464600L));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-6), (-1074790403));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    java.lang.String str8 = bigFraction0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "-1"+ "'", str8.equals("-1"));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException((-0.6960595188671791d), 2120811457);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.5533448061434307d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.PERMUTATION_SIZE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.INTERNAL_ERROR;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reciprocal();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction6.negate();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f11 = fraction10.floatValue();
    double d12 = fraction10.doubleValue();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { fraction10 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)bigFraction6, obj_array13);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.6666666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    java.math.BigInteger bigInteger11 = bigFraction9.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction0.add(bigInteger11);
    java.math.BigDecimal bigDecimal13 = bigFraction12.bigDecimalValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal13);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(22638.651945336078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.637978807091713E-12d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1074790405, 42L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-565643655));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.3434115023553583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(3.688823524393912E21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-49399198));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f3 = fraction2.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f7 = fraction6.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.divide(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction4.divide(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction8.add(fraction10);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizedFormats14 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction8, obj_array15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = notFiniteNumberException18.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext20 = notFiniteNumberException18.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext20);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction0.divide(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.DEGREES_OF_FREEDOM;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(2L, 975L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-973L));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(2, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SYMMETRIC_MATRIX;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    double d4 = fraction3.percentageValue();
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction3.divide((-1));
    org.apache.commons.math3.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction3);
    java.lang.Throwable[] throwable_array8 = notPositiveException7.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)15.70522566356003d, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-200.0d), (java.lang.Object[])throwable_array8);
    java.lang.String str11 = notFiniteNumberException10.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 33.33333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math3.exception.NotFiniteNumberException: not symmetric matrix"+ "'", str11.equals("org.apache.commons.math3.exception.NotFiniteNumberException: not symmetric matrix"));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(1.5707963267948966d, 100);
    org.apache.commons.math3.exception.ConvergenceException convergenceException3 = new org.apache.commons.math3.exception.ConvergenceException();
    fractionConversionException2.addSuppressed((java.lang.Throwable)convergenceException3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = convergenceException3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = convergenceException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.8556622904306267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6940160190742368d));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1074790400, 232324L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient((-1335228961), 1006);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.lang.String str5 = bigFraction4.toString();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    int i11 = bigFraction6.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction6.negate();
    long long13 = bigFraction6.longValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction6.add(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction4.divide(bigFraction6);
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction4.subtract(503L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1"+ "'", str5.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-0.99999994f), 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    java.math.BigInteger bigInteger8 = bigFraction5.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction1.divide(bigFraction5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction1.divide(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.412965136506738d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8881221374775919d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(Double.NEGATIVE_INFINITY, (-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948963d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-200.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3838965267367376E-87d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3628800.0d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(33.33333333333333d);
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction1.pow(493L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal6 = bigFraction3.bigDecimalValue((-49399198), 1006);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.THREE_QUARTERS;
    double d1 = fraction0.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f4 = fraction3.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction2.divide(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f8 = fraction7.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction6.divide(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction5.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction9.add(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f15 = fraction14.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.divide(fraction14);
    int i17 = fraction14.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction14.abs();
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.add(fraction19);
    boolean b21 = fraction9.equals((java.lang.Object)fraction19);
    int i22 = fraction0.compareTo(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.abs();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f8 = fraction7.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction6.divide(fraction7);
    long long10 = fraction6.longValue();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction1.subtract(fraction6);
    boolean b13 = fraction11.equals((java.lang.Object)0.6074753677218336d);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction11.reciprocal();
    int i15 = fraction11.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction1 = new org.apache.commons.math3.fraction.BigFraction(6);
    int i2 = bigFraction1.getDenominatorAsInt();
    java.math.BigInteger bigInteger3 = bigFraction1.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.FOUR_FIFTHS;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction6.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction6.divide(bigFraction9);
    int i11 = bigFraction6.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction12.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction14.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction12.divide(bigFraction15);
    java.math.BigInteger bigInteger17 = bigFraction15.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction6.add(bigInteger17);
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction19.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction21.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = bigFraction19.divide(bigFraction22);
    java.math.BigInteger bigInteger24 = bigFraction22.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction22.pow(0);
    long long27 = bigFraction22.getNumeratorAsLong();
    org.apache.commons.math3.fraction.BigFraction bigFraction28 = bigFraction6.divide(bigFraction22);
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction4.subtract(bigFraction6);
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = bigFraction1.add(bigFraction29);
    org.apache.commons.math3.fraction.BigFraction bigFraction31 = org.apache.commons.math3.fraction.BigFraction.ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction32 = bigFraction30.multiply(bigFraction31);
    org.apache.commons.math3.fraction.BigFraction bigFraction34 = bigFraction30.add((-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(7766279631452241920L, 42L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7766279631452241920L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.9802322E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-3.6129868840628745E86d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.divide(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction7.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction7.add(100);
    short s13 = fraction7.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s13 == (short)0);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.7453553699347588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.17367389875792807d));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(90L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 90L);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.3607418994121922E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3607418994121922E43d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(232324L, 975L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 233299L);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_TRANSFORM_TO_DOUBLE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(10919.51789772774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(4, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-508));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(1009.2655867757014d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    double d16 = bigFraction0.doubleValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction18 = bigFraction0.pow(2);
    org.apache.commons.math3.fraction.BigFraction bigFraction20 = bigFraction18.add(0);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.SINGULAR_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_ELEMENT;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    org.apache.commons.math3.fraction.Fraction fraction24 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f26 = fraction25.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction24.divide(fraction25);
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f30 = fraction29.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction28.divide(fraction29);
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction27.divide(fraction31);
    org.apache.commons.math3.fraction.Fraction fraction33 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction31.add(fraction33);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { localizedFormats37 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException39 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats36, obj_array38);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats35, obj_array38);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException41 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, (java.lang.Number)fraction31, obj_array38);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException42 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array38);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)bigFraction18, (org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f26 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f30 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(11013.232920103323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    java.lang.String str1 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "contraction criteria smaller than one ({0}).  This would lead to a never ending loop of expansion and contraction as an internal storage array length equal to the number of elements would satisfy the contraction criteria."+ "'", str1.equals("contraction criteria smaller than one ({0}).  This would lead to a never ending loop of expansion and contraction as an internal storage array length equal to the number of elements would satisfy the contraction criteria."));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction0.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction8.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction8.divide(bigFraction11);
    int i13 = bigFraction8.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction8.negate();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction0.divide(bigFraction8);
    short s16 = bigFraction0.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s16 == (short)(-1));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1.4260624389053682d, (-232300L), 24L);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    double d2 = fraction1.percentageValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide((-1));
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction1);
    java.lang.Throwable[] throwable_array6 = notPositiveException5.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException7 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)15.70522566356003d, (java.lang.Object[])throwable_array6);
    java.lang.Number number8 = notFiniteNumberException7.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 33.33333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 15.70522566356003d+ "'", number8.equals(15.70522566356003d));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(5, (-126088543));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-5));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2079374784L, 482L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2079374784L);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SUBARRAY_ENDS_AFTER_ARRAY_END;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.696059518867179d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.getReducedFraction((-11), (-2079374784));
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction2.divide(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.6390180141914301d), Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.6960595188671791d), 66.66666666666666d, 3);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction3.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction2 = new org.apache.commons.math3.fraction.BigFraction(0L, 7766279631452241920L);
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction2.pow(10);
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction5.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction7.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.divide(bigFraction8);
    int i10 = bigFraction5.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction11.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction13.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = bigFraction11.divide(bigFraction14);
    java.math.BigInteger bigInteger16 = bigFraction14.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction5.add(bigInteger16);
    byte byte18 = bigInteger16.byteValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction19 = bigFraction4.subtract(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte18 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_QUARTER;
    java.math.BigInteger bigInteger1 = bigFraction0.getNumerator();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction0.pow((-1));
    java.math.BigInteger bigInteger4 = bigFraction3.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction5.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction7.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction5.divide(bigFraction8);
    int i10 = bigFraction5.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction5.subtract(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction13.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction15 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction16 = bigFraction15.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction17 = bigFraction13.divide(bigFraction16);
    java.math.BigInteger bigInteger18 = bigFraction16.getDenominator();
    java.math.BigInteger bigInteger20 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, 0L);
    org.apache.commons.math3.fraction.BigFraction bigFraction21 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction22 = bigFraction21.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction24 = bigFraction23.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction21.divide(bigFraction24);
    java.math.BigInteger bigInteger26 = bigFraction24.getDenominator();
    java.math.BigInteger bigInteger27 = bigFraction24.getDenominator();
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger20, bigInteger27);
    org.apache.commons.math3.fraction.BigFraction bigFraction29 = bigFraction5.divide(bigInteger20);
    org.apache.commons.math3.fraction.BigFraction bigFraction30 = new org.apache.commons.math3.fraction.BigFraction(bigInteger4, bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    int i4 = fraction1.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.abs();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction7.negate();
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.add((-2079374784));
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction7.multiply(fraction12);
    double d14 = fraction12.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-2.079374784E9d));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-5), (-49399198));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 246995990);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.8184464592320668d, 2079374790);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(3.688823524393912E21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 50.352741712573334d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    java.math.BigInteger bigInteger5 = bigFraction3.getDenominator();
    java.math.BigInteger bigInteger6 = bigFraction3.getDenominator();
    java.math.BigInteger bigInteger8 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger6, 7766279631452241920L);
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = new org.apache.commons.math3.fraction.BigFraction(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(50.296784689724674d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1009.2655867757014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0596365660844722d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.03133397314397024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    org.apache.commons.math3.exception.ConvergenceException convergenceException0 = new org.apache.commons.math3.exception.ConvergenceException();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_WINDOW_SIZE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.INTERNAL_ERROR;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction3.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction5.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction3.divide(bigFraction6);
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction7.reciprocal();
    org.apache.commons.math3.fraction.BigFraction bigFraction9 = bigFraction7.negate();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.ROBUSTNESS_ITERATIONS;
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f12 = fraction11.floatValue();
    double d13 = fraction11.doubleValue();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { fraction11 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)bigFraction7, obj_array14);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math3.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_LEFT;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { localizedFormats24 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array25);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)localizedFormats20, (org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array25);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats19, obj_array25);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notFiniteNumberException16, (org.apache.commons.math3.exception.util.Localizable)localizedFormats17, obj_array25);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)convergenceException0, (org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f12 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.6666666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f6 = fraction5.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.divide(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.divide(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.add(0);
    double d11 = fraction10.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.5d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(502.5672212339209d);
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction4.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction2.divide(bigFraction5);
    java.math.BigInteger bigInteger7 = bigFraction5.getDenominator();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)502.5672212339209d, (java.lang.Number)bigFraction5, true);
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction11 = bigFraction10.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction13 = bigFraction12.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction14 = bigFraction10.divide(bigFraction13);
    java.math.BigInteger bigInteger15 = bigFraction13.getDenominator();
    java.math.BigInteger bigInteger16 = bigFraction13.getDenominator();
    java.math.BigDecimal bigDecimal19 = bigFraction13.bigDecimalValue((-1), 5);
    boolean b20 = bigFraction5.equals((java.lang.Object)(-1));
    int i21 = bigFraction5.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(2079374784);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.026931837701290245d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.6351489523872873d, 33.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 33.00611177027247d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(232324L, (-2079374784L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(4.2171633265087465d, 0.6666666666666666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.2171633265087465d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(Double.NaN);
    long long2 = fraction1.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9223372036854775807L);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    short s5 = bigFraction4.shortValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction7 = bigFraction4.pow((-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s5 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(5, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-2079374784L), 493L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 493L);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(32.70422048691768d, 50.296784689724674d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1234226538804426d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(11013.234712420559d, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4711588875383736E16d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.5499199577326581d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.155055141258892d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(517L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 517L);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(2120811457, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.575436392115149E44d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-1074790390), (-914815359));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash((-0.5440211108893698d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1242703820);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction3.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction1.divide(bigFraction4);
    java.math.BigInteger bigInteger6 = bigFraction4.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction4.pow(0);
    org.apache.commons.math3.fraction.BigFraction bigFraction10 = bigFraction8.divide((-1L));
    org.apache.commons.math3.fraction.BigFraction bigFraction12 = bigFraction10.subtract(10L);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f15 = fraction14.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.divide(fraction14);
    long long17 = fraction13.longValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction13.subtract(2);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction12, (java.lang.Number)fraction19, true);
    org.apache.commons.math3.fraction.BigFraction bigFraction23 = bigFraction12.divide(1);
    org.apache.commons.math3.fraction.BigFraction bigFraction25 = bigFraction23.pow(503L);
    org.apache.commons.math3.fraction.BigFraction bigFraction26 = bigFraction23.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1.5072090928907207d, 503L, 1L);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction0.pow(482L);
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction0.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.7456418720467646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2040699473456506d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(2.340690859789228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.6940160190742368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(byte)10, (java.lang.Number)1, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    java.lang.String str5 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1+ "'", number4.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (1)"+ "'", str5.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (1)"));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.2209271758274588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.21740159362938039d));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f3 = fraction2.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f7 = fraction6.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.divide(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction4.divide(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction8.add(fraction10);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizedFormats14 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)fraction8, obj_array15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = notFiniteNumberException18.getContext();
    java.lang.Number number20 = notFiniteNumberException18.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number20);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    org.apache.commons.math3.fraction.BigFraction bigFraction0 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = bigFraction0.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = bigFraction2.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction0.divide(bigFraction3);
    int i5 = bigFraction0.intValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction6 = bigFraction0.negate();
    long long7 = bigFraction0.longValue();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction0.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0L, 482L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 482L);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.subtract(10);
    float f3 = fraction0.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 2.0f);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(4L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-2079374784L), 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2079374780L));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(232324L, (-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 232324L);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.000000000000002d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.64158883361278d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1242703820, 2079374790);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1242703820);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.1555698629817919d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8195908673690073d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(2079374784, (-1074790390));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(4L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f2 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(fraction1);
    double d4 = fraction3.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 50.0d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INITIAL_ROW_AFTER_FINAL_ROW;
    org.apache.commons.math3.fraction.BigFraction bigFraction1 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction2 = bigFraction1.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction3 = org.apache.commons.math3.fraction.BigFraction.MINUS_ONE;
    org.apache.commons.math3.fraction.BigFraction bigFraction4 = bigFraction3.reduce();
    org.apache.commons.math3.fraction.BigFraction bigFraction5 = bigFraction1.divide(bigFraction4);
    java.math.BigInteger bigInteger6 = bigFraction4.getDenominator();
    org.apache.commons.math3.fraction.BigFraction bigFraction8 = bigFraction4.pow(0);
    java.lang.String str9 = bigFraction4.toString();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f13 = fraction12.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction11.divide(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_THIRD;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    float f17 = fraction16.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction15.divide(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction14.divide(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction18.add(fraction20);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.TRUST_REGION_STEP_FAILED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { localizedFormats24 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array25);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Number)fraction18, obj_array25);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math3.exception.NotFiniteNumberException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)bigFraction4, obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-1"+ "'", str9.equals("-1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f13 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f17 == 0.6666667f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.15644387191121703d, (-1335228961));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

}
